Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum XMLNodeTargetConcept

    java.lang.Object
      java.lang.Enum<XMLNodeTargetConcept>
          nl.liacs.subdisc.XMLNodeTargetConcept

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XMLNodeTargetConcept>

    public enum XMLNodeTargetConcept

extends java.lang.Enum<XMLNodeTargetConcept>

Enum Constant Summary
`MULTI_TARGETS`
`NR_TARGET_ATTRIBUTES`
`PRIMARY_TARGET`
`PRIMARY_TARGET_INDEX`
`PRIMARY_TARGET_NAME`
`PRIMARY_TARGET_SHORT`
`PRIMARY_TARGET_TYPE`
`SECONDARY_TARGET`
`SECONDARY_TARGET_INDEX`
`SECONDARY_TARGET_NAME`
`SECONDARY_TARGET_SHORT`
`SECONDARY_TARGET_TYPE`
`TARGET_TYPE_NAME`
`TARGET_VALUE`

Method Summary
`static XMLNodeTargetConcept` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XMLNodeTargetConcept[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NR_TARGET_ATTRIBUTES

    public static final XMLNodeTargetConcept NR_TARGET_ATTRIBUTES

### TARGET_TYPE_NAME

    public static final XMLNodeTargetConcept TARGET_TYPE_NAME

### PRIMARY_TARGET

    public static final XMLNodeTargetConcept PRIMARY_TARGET

### PRIMARY_TARGET_INDEX

    public static final XMLNodeTargetConcept PRIMARY_TARGET_INDEX

### PRIMARY_TARGET_NAME

    public static final XMLNodeTargetConcept PRIMARY_TARGET_NAME

### PRIMARY_TARGET_SHORT

    public static final XMLNodeTargetConcept PRIMARY_TARGET_SHORT

### PRIMARY_TARGET_TYPE

    public static final XMLNodeTargetConcept PRIMARY_TARGET_TYPE

### TARGET_VALUE

    public static final XMLNodeTargetConcept TARGET_VALUE

### SECONDARY_TARGET

    public static final XMLNodeTargetConcept SECONDARY_TARGET

### SECONDARY_TARGET_INDEX

    public static final XMLNodeTargetConcept SECONDARY_TARGET_INDEX

### SECONDARY_TARGET_NAME

    public static final XMLNodeTargetConcept SECONDARY_TARGET_NAME

### SECONDARY_TARGET_SHORT

    public static final XMLNodeTargetConcept SECONDARY_TARGET_SHORT

### SECONDARY_TARGET_TYPE

    public static final XMLNodeTargetConcept SECONDARY_TARGET_TYPE

### MULTI_TARGETS

    public static final XMLNodeTargetConcept MULTI_TARGETS

Method Detail

### values

    public static XMLNodeTargetConcept[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XMLNodeTargetConcept c : XMLNodeTargetConcept.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XMLNodeTargetConcept valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD